Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## android.device.scanner.configuration
Class Constants.Symbology

    java.lang.Object
      android.device.scanner.configuration.Constants.Symbology

Enclosing class:
  Constants

    public static final class Constants.Symbology

extends java.lang.Object

Field Summary
`static int` | `AZTEC`
`static int` | `CHINESE25`
`static int` | `CODABAR`
`static int` | `CODE11`
`static int` | `CODE128`
`static int` | `CODE32`
`static int` | `CODE39`
`static int` | `CODE93`
`static int` | `COMPOSITE_CC_AB`
`static int` | `COMPOSITE_CC_C`
`static int` | `COMPOSITE_TLC39`
`static int` | `DATAMATRIX`
`static int` | `DISCRETE25`
`static int` | `EAN13`
`static int` | `EAN8`
`static int` | `GS1_128`
`static int` | `GS1_14`
`static int` | `GS1_EXP`
`static int` | `GS1_LIMIT`
`static int` | `HANXIN`
`static int` | `INTERLEAVED25`
`static int` | `MATRIX25`
`static int` | `MAXICODE`
`static int` | `MICROPDF417`
`static int` | `MSI`
`static int` | `NONE`
`static int` | `PDF417`
`static int` | `POSTAL_4STATE`
`static int` | `POSTAL_AUSTRALIAN`
`static int` | `POSTAL_JAPAN`
`static int` | `POSTAL_KIX`
`static int` | `POSTAL_PLANET`
`static int` | `POSTAL_POSTNET`
`static int` | `POSTAL_ROYALMAIL`
`static int` | `POSTAL_UPUFICS`
`static int` | `QRCODE`
`static int` | `RESERVED_13`
`static int` | `RESERVED_15`
`static int` | `RESERVED_16`
`static int` | `RESERVED_20`
`static int` | `RESERVED_21`
`static int` | `RESERVED_27`
`static int` | `RESERVED_28`
`static int` | `RESERVED_30`
`static int` | `RESERVED_33`
`static int` | `RESERVED_6`
`static int` | `TRIOPTIC`
`static int` | `UPCA`
`static int` | `UPCE`
`static int` | `UPCE1`

Constructor Summary
`Constants.Symbology()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

See Also:
  Constant Field Values

### CODE39

    public static final int CODE39

See Also:
  Constant Field Values

### DISCRETE25

    public static final int DISCRETE25

See Also:
  Constant Field Values

### MATRIX25

    public static final int MATRIX25

See Also:
  Constant Field Values

### INTERLEAVED25

    public static final int INTERLEAVED25

See Also:
  Constant Field Values

### CODABAR

    public static final int CODABAR

See Also:
  Constant Field Values

### RESERVED_6

    public static final int RESERVED_6

See Also:
  Constant Field Values

### CODE93

    public static final int CODE93

See Also:
  Constant Field Values

### CODE128

    public static final int CODE128

See Also:
  Constant Field Values

### UPCA

    public static final int UPCA

See Also:
  Constant Field Values

### UPCE

    public static final int UPCE

See Also:
  Constant Field Values

### EAN13

    public static final int EAN13

See Also:
  Constant Field Values

### EAN8

    public static final int EAN8

See Also:
  Constant Field Values

### RESERVED_13

    public static final int RESERVED_13

See Also:
  Constant Field Values

### MSI

    public static final int MSI

See Also:
  Constant Field Values

### RESERVED_15

    public static final int RESERVED_15

See Also:
  Constant Field Values

### RESERVED_16

    public static final int RESERVED_16

See Also:
  Constant Field Values

### GS1_14

    public static final int GS1_14

See Also:
  Constant Field Values

### GS1_LIMIT

    public static final int GS1_LIMIT

See Also:
  Constant Field Values

### GS1_EXP

    public static final int GS1_EXP

See Also:
  Constant Field Values

### RESERVED_20

    public static final int RESERVED_20

See Also:
  Constant Field Values

### RESERVED_21

    public static final int RESERVED_21

See Also:
  Constant Field Values

### PDF417

    public static final int PDF417

See Also:
  Constant Field Values

### DATAMATRIX

    public static final int DATAMATRIX

See Also:
  Constant Field Values

### MAXICODE

    public static final int MAXICODE

See Also:
  Constant Field Values

### TRIOPTIC

    public static final int TRIOPTIC

See Also:
  Constant Field Values

### CODE32

    public static final int CODE32

See Also:
  Constant Field Values

### RESERVED_27

    public static final int RESERVED_27

See Also:
  Constant Field Values

### RESERVED_28

    public static final int RESERVED_28

See Also:
  Constant Field Values

### MICROPDF417

    public static final int MICROPDF417

See Also:
  Constant Field Values

### RESERVED_30

    public static final int RESERVED_30

See Also:
  Constant Field Values

### QRCODE

    public static final int QRCODE

See Also:
  Constant Field Values

### AZTEC

    public static final int AZTEC

See Also:
  Constant Field Values

### RESERVED_33

    public static final int RESERVED_33

See Also:
  Constant Field Values

### POSTAL_PLANET

    public static final int POSTAL_PLANET

See Also:
  Constant Field Values

### POSTAL_POSTNET

    public static final int POSTAL_POSTNET

See Also:
  Constant Field Values

### POSTAL_4STATE

    public static final int POSTAL_4STATE

See Also:
  Constant Field Values

### POSTAL_UPUFICS

    public static final int POSTAL_UPUFICS

See Also:
  Constant Field Values

### POSTAL_ROYALMAIL

    public static final int POSTAL_ROYALMAIL

See Also:
  Constant Field Values

### POSTAL_AUSTRALIAN

    public static final int POSTAL_AUSTRALIAN

See Also:
  Constant Field Values

### POSTAL_KIX

    public static final int POSTAL_KIX

See Also:
  Constant Field Values

### POSTAL_JAPAN

    public static final int POSTAL_JAPAN

See Also:
  Constant Field Values

### GS1_128

    public static final int GS1_128

See Also:
  Constant Field Values

### COMPOSITE_CC_C

    public static final int COMPOSITE_CC_C

See Also:
  Constant Field Values

### COMPOSITE_CC_AB

    public static final int COMPOSITE_CC_AB

See Also:
  Constant Field Values

### CHINESE25

    public static final int CHINESE25

See Also:
  Constant Field Values

### CODE11

    public static final int CODE11

See Also:
  Constant Field Values

### UPCE1

    public static final int UPCE1

See Also:
  Constant Field Values

### COMPOSITE_TLC39

    public static final int COMPOSITE_TLC39

See Also:
  Constant Field Values

### HANXIN

    public static final int HANXIN

See Also:
  Constant Field Values

Constructor Detail

### Constants.Symbology

    public Constants.Symbology()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD